/*********************************************************************
 *
 *            EZFM---EZWGL based file manager for X11
 *
 *             Copyright (C) 1998  Maorong Zou
 *
 *
 *  This file is part of EZFM.
 *
 *  EZFM is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * EZFM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EZFM; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. 
 *
 *************************************************************************/




#define _ATOMS_C_
#include "ezfm.h"

/********************************************************************************
 * 
 *  These are the atoms used for DnD and Message Handling.
 */
Atom    ezfmWMProtocolsAtom;
Atom    ezfmDeleteWindowAtom;
Atom    ezfmFileNameAtom;
Atom    ezfmFileContentAtom; 
Atom    ezfmFileTaredContentAtom;

Atom    ezfmMoveFileByNameAtom;

Atom    ezfmCopyFileByNameAtom;
Atom    ezfmCopyFileByContentAtom;
Atom    ezfmCopyFileByTarAtom;

Atom    ezfmLinkFileByNameAtom;

Atom    ezfmFileInfoAtom;

Atom    ezfmMsgFolderInqueryAtom;
Atom    ezfmMsgFolderOpenedAtom;
Atom    ezfmMsgFolderClosedAtom;

Atom    ezfmMsgMountTbChangeAtom;

Atom    ezfmToolExecutionAtom;

Atom    ezfmMultipleFileNamesAtom;
Atom    ezfmMoveMultipleFilesAtom;
Atom    ezfmCopyMultipleFilesAtom;
Atom    ezfmLinkMultipleFilesAtom;
Atom    XROOTPMAP_ID;
/********************************************************************************/
void initAtoms()
{
  ezfmDeleteWindowAtom        = EZ_GetAtom("WM_DELETE_WINDOW");
  ezfmWMProtocolsAtom         = EZ_GetAtom("WM_PROTOCOLS");
  ezfmFileNameAtom            = EZ_GetAtom("EZFM_FILE_NAME");
  ezfmFileContentAtom         = EZ_GetAtom("EZFM_FILE_CONTENT");
  ezfmFileTaredContentAtom    = EZ_GetAtom("EZFM_FILE_TARED_CONTENT_ATOM");

  ezfmMoveFileByNameAtom      = EZ_GetAtom("EZFM_MOVE_FILE_BY_NAME_ATOM");

  ezfmCopyFileByNameAtom      = EZ_GetAtom("EZFM_COPY_FILE_BY_NAME_ATOM");
  ezfmCopyFileByContentAtom   = EZ_GetAtom("EZFM_COPY_FILE_BY_CONTENT_ATOM");
  ezfmCopyFileByTarAtom       = EZ_GetAtom("EZFM_COPY_FILE_BY_TAR_ATOM");

  ezfmLinkFileByNameAtom      = EZ_GetAtom("EZFM_LINK_FILE_BY_NAME_ATOM");

  ezfmFileInfoAtom            = EZ_GetAtom("EZFM_FILE_INFO_ATOM");

  ezfmMsgFolderInqueryAtom = EZ_GetAtom("EZFM_FOLDER_INQUERY_ATOM");
  ezfmMsgFolderOpenedAtom = EZ_GetAtom("EZFM_FOLDER_OPENED_ATOM");
  ezfmMsgFolderClosedAtom = EZ_GetAtom("EZFM_FOLDER_CLOSED_ATOM");

  ezfmMsgMountTbChangeAtom = EZ_GetAtom("EZFM_MOUNT_TB_CHANGE_ATOM");

  ezfmToolExecutionAtom =  EZ_GetAtom("EZFM_TOOL_EXECUTION_ATOM");

  ezfmMultipleFileNamesAtom = EZ_GetAtom("EZFM_MULTIPLEFILE_NAMES_ATOM");
  ezfmMoveMultipleFilesAtom = EZ_GetAtom("EZFM_MOVE_MULTIPLE_FILES_ATOM");
  ezfmCopyMultipleFilesAtom = EZ_GetAtom("EZFM_COPY_MULTIPLE_FILES_ATOM");
  ezfmLinkMultipleFilesAtom = EZ_GetAtom("EZFM_LINK_MULTIPLE_FILES_ATOM");
  XROOTPMAP_ID = EZ_GetAtom("_XROOTPMAP_ID");
}
/********************************************************************************/
#undef _ATOMS_C_
